#
# spec file for package libstroke
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libstroke
BuildRequires:  libtool
BuildRequires:  xorg-x11
BuildRequires:  xorg-x11-devel
Version:        0.5.1
Release:        236.1
Url:            http://www.etla.net/libstroke/
Source0:        http://www.etla.net/libstroke/libstroke-%{version}.tar.bz2
Patch:          libstroke-0.4.dif
Patch1:         no-gtk1.patch
Patch2:         fix-implicit-declarations.patch
# PATCH-FIX-UPSTREAM Fix quoting of AC_DEFUN args (bnc#794807) (2013-01-07)
Patch3:         libstroke-quote_m4_definitions.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        A Stroke Translation Library
License:        GPL-2.0+
Group:          System/Libraries

%description
LibStroke is a stroke interface library.  Strokes are motions of the
mouse that can be interpreted by a program as a command.  Strokes are
used extensively in CAD programs.

%package     -n libstroke-devel
Summary:        Development package for libstroke
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       xorg-x11-libX11-devel

%description  -n libstroke-devel
This package is needed if you want to program or compile applications
that use libstroke.

%prep
%setup0 -q
%patch
%patch1 -p1
%patch2 -p1
%patch3

%build
rm -f config.cache
# update config.{guess,sub}
autoreconf --force --install
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPY* CREDITS ChangeLog INSTALL NEWS README* TODO
%{_libdir}/libstroke.so.*

%files -n libstroke-devel
%defattr(-, root, root)
%{_libdir}/libstroke.so
/usr/include/*.h
/usr/share/aclocal/*.m4

%changelog
* Mon Jan  7 2013 pth@suse.de
- Properly quote the arguments to AC_DEFUN to shut up automake
  (bnc#794807)， add libstroke-quote_m4_definitions.patch to fix
- Clean up the spec file.
* Wed Nov 23 2011 cfarrell@suse.com
- license update: GPL-2.0+
  SPDX format (http://www.spdx.org/licenses)
* Tue Nov 22 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Fri Jan  9 2009 crrodriguez@suse.de
- remove static libraries and la files
- fix devel package dependencies
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 22 2005 mfabian@suse.de
- fix implicit declarations.
* Mon Apr 18 2005 mfabian@suse.de
- update to 0.5.1 and make it build on STABLE again.
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Sat Aug 10 2002 mfabian@suse.de
- libstroke-devel should require libstroke
* Wed Jun 19 2002 ro@suse.de
- fix for current automake and run autoreconf
* Tue Mar  5 2002 mfabian@suse.de
- use %%{_libdir}
* Tue Apr  3 2001 mfabian@suse.de
- new package: libstroke-0.4
